<< arch_test | FOSSEE_Signal_Processing_Toolbox | arma_rnd >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > arcov

# arcov

Autoregressive all-pole model parameters — covariance method.

### Syntax

    a = arcov(x, p)
    [a, e] = arcov(x, p)

### Parameters

x:

  Input signal.

p:

  Order of the autoregressive model.

a:

  Contains normalized estimates of the AR system parameters, A(z), in descending powers of z.

e:

  Variance estimate of the white noise input to the AR model.

### Description

Function arcov() estimates the autoregressive (AR) model parameters using the covariance method. The function returns the AR coefficients `a` and the variance estimate `e` of the white noise input to the AR model.

### Examples

    [a, e] = arcov([1, 2, 3, 4, 5], 2)

Report an issue
<< arch_test | FOSSEE_Signal_Processing_Toolbox | arma_rnd >>